Bug 113552 - [EFL] Add a decoration image to search input field
Summary: [EFL] Add a decoration image to search input field
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Gyuyoung Kim
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-28 18:37 PDT by Gyuyoung Kim
Modified: 2013-04-03 20:51 PDT (History)
5 users (show)

See Also:


Attachments
Patch (323.98 KB, patch)
2013-03-28 18:41 PDT, Gyuyoung Kim
no flags Details | Formatted Diff | Diff
Patch (323.98 KB, patch)
2013-03-28 18:51 PDT, Gyuyoung Kim
no flags Details | Formatted Diff | Diff
Patch (604.91 KB, patch)
2013-04-03 04:23 PDT, Gyuyoung Kim
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gyuyoung Kim 2013-03-28 18:37:46 PDT
Though EFL port has a decoration image for input search field, we don't use it. This patch is to use it in input search field.
Comment 1 Gyuyoung Kim 2013-03-28 18:41:51 PDT
Created attachment 195687 [details]
Patch
Comment 2 WebKit Review Bot 2013-03-28 18:44:46 PDT
Attachment 195687 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/platform/efl/fast/css/input-search-padding-expected.png', u'LayoutTests/platform/efl/fast/css/input-search-padding-expected.txt', u'LayoutTests/platform/efl/fast/css/text-input-with-webkit-border-radius-expected.txt', u'LayoutTests/platform/efl/fast/css/text-overflow-input-expected.png', u'LayoutTests/platform/efl/fast/css/text-overflow-input-expected.txt', u'LayoutTests/platform/efl/fast/forms/box-shadow-override-expected.txt', u'LayoutTests/platform/efl/fast/forms/control-restrict-line-height-expected.png', u'LayoutTests/platform/efl/fast/forms/control-restrict-line-height-expected.txt', u'LayoutTests/platform/efl/fast/forms/input-appearance-height-expected.txt', u'LayoutTests/platform/efl/fast/forms/placeholder-position-expected.txt', u'LayoutTests/platform/efl/fast/forms/placeholder-pseudo-style-expected.txt', u'LayoutTests/platform/efl/fast/forms/search-cancel-button-style-sharing-expected.txt', u'LayoutTests/platform/efl/fast/forms/searchfield-heights-expected.png', u'LayoutTests/platform/efl/fast/forms/searchfield-heights-expected.txt', u'LayoutTests/platform/efl/fast/repaint/search-field-cancel-expected.txt', u'LayoutTests/platform/efl/fast/replaced/width100percent-searchfield-expected.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/platform/efl/RenderThemeEfl.cpp']" exit_code: 1
Source/WebCore/platform/efl/RenderThemeEfl.cpp:77:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 1 in 16 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Gyuyoung Kim 2013-03-28 18:51:44 PDT
Created attachment 195688 [details]
Patch
Comment 4 Chris Dumez 2013-03-29 00:21:44 PDT
Comment on attachment 195688 [details]
Patch

LGTM.
Comment 5 Build Bot 2013-03-29 14:09:46 PDT
Comment on attachment 195688 [details]
Patch

Attachment 195688 [details] did not pass win-ews (win):
Output: http://webkit-commit-queue.appspot.com/results/17323452
Comment 6 Gyuyoung Kim 2013-03-31 18:41:21 PDT
(In reply to comment #5)
> (From update of attachment 195688 [details])
> Attachment 195688 [details] did not pass win-ews (win):
> Output: http://webkit-commit-queue.appspot.com/results/17323452

Unrelated.
Comment 7 Gyuyoung Kim 2013-03-31 22:18:25 PDT
CC'ing Kenneth and Laszlo.
Comment 8 Gyuyoung Kim 2013-04-03 04:23:29 PDT
Created attachment 196326 [details]
Patch
Comment 9 Laszlo Gombos 2013-04-03 20:31:00 PDT
Comment on attachment 196326 [details]
Patch

LGTM.
Comment 10 WebKit Review Bot 2013-04-03 20:51:08 PDT
Comment on attachment 196326 [details]
Patch

Clearing flags on attachment: 196326

Committed r147607: <http://trac.webkit.org/changeset/147607>
Comment 11 WebKit Review Bot 2013-04-03 20:51:12 PDT
All reviewed patches have been landed.  Closing bug.